# Codice di condotta

## 1. Scopo

Uno degli obiettivi principali di Developers Italia è quello di includere il maggior numero di contributori, con il background più vario e diversificato possibile. Pertanto, ci impegniamo a fornire un ambiente amichevole, sicuro e accogliente per tutti, indipendentemente dal genere, dall'orientamento sessuale, dalle abilità, dall'etnia, dallo status socioeconomico e dalla religione (o dalla sua mancanza).

Questo codice di condotta delinea le nostre aspettative per tutti coloro che partecipano alla nostra comunità, nonché le conseguenze per comportamenti inaccettabili.

Invitiamo tutti coloro che partecipano a Developers Italia a aiutarci a creare esperienze positive e positive per tutti.

## 2. Cittadinanza open source

Un obiettivo supplementare di questo Codice di condotta è aumentare la cittadinanza open source incoraggiando i partecipanti a riconoscere e rafforzare le relazioni tra le nostre azioni e i loro effetti sulla nostra comunità.

Le comunità rispecchiano le società in cui esistono e l'azione positiva è essenziale per contrastare le molte forme di disuguaglianza e abusi di potere che esistono nella società.

Se vedi qualcuno che sta facendo uno sforzo in più per garantire che la nostra comunità sia accogliente, amichevole e incoraggia tutti i partecipanti a contribuire nella massima misura, vogliamo sapere.

## 3. Comportamento previsto

I seguenti comportamenti sono previsti e richiesti a tutti i membri della comunità:

* Partecipare in modo autentico e attivo. In tal modo, contribuisci alla salute e alla longevità di questa comunità.
* Esercitare considerazione e rispetto nei propri discorsi e azioni.
* Tentativo di collaborazione prima del conflitto.
* Astenersi dal comportamento umiliante, discriminatorio o molesto.
* Sii consapevole di ciò che ti circonda e dei tuoi compagni partecipanti. Avvisare i leader della comunità se si nota una situazione pericolosa, qualcuno in difficoltà o violazioni di questo Codice di condotta, anche se sembrano irrilevanti.
* Ricorda che le sedi di eventi comunitari possono essere condivise con membri del pubblico; si prega di essere rispettosi verso tutti i clienti di questi luoghi.

## 4. Comportamento inaccettabile

I seguenti comportamenti sono considerati molestie e inaccettabili all'interno della nostra comunità:

* Violenza, minacce di violenza o linguaggio violento diretto contro un'altra persona.
* Scherzi e linguaggio sessista, razzista, omofobo, transfobico, o comunque discriminatorio.
* Pubblicare o visualizzare materiale sessualmente esplicito o violento.
* Insulti personali, in particolare quelli relativi al genere, orientamento sessuale, razza, religione o disabilità.
* Attenzione sessuale sgradita. Ciò include commenti o battute sessualizzate; approcci sessuali inappropriati, toccanti e indesiderati.
* Intimidazione intenzionale, stalking o seguito (online o di persona).
* Sostenendo o incoraggiando uno qualsiasi dei suddetti comportamenti.
* Perturbazione continua degli eventi della comunità, inclusi discorsi e presentazioni.

## 5. Conseguenze del comportamento inaccettabile

Il comportamento inaccettabile da parte di qualsiasi membro della comunità, inclusi gli sponsor e coloro che hanno l'autorità decisionale, non sarà tollerato.

Ci si aspetta che chiunque chieda di smettere di comportarsi in modo inaccettabile si adegui immediatamente.

Se un membro della comunità si comporta in modo inaccettabile, gli organizzatori della comunità possono intraprendere qualsiasi azione che ritengano appropriata, fino a includere un divieto temporaneo o l'espulsione definitiva dalla comunità senza preavviso.

## 6. Linee guida per la segnalazione

Se sei soggetto a un comportamento inaccettabile o ne sei testimone o se hai altre preoccupazioni, ti preghiamo di avvisare un organizzatore della comunità il prima possibile. Puoi farlo inviando una e-mail a `coc-report@developers.italia.it`.

Inoltre, gli organizzatori della comunità sono disponibili per aiutare i membri della comunità a impegnarsi con le forze dell'ordine locali o per aiutare altrimenti coloro che vivono comportamenti inaccettabili a sentirsi al sicuro. Nel contesto di eventi di persona, gli organizzatori forniranno anche le scorte come desiderato dalla persona che soffre.

## 7. Affrontare i reclami

Se ritieni di essere stato accusato ingiustamente di violare questo Codice di condotta, dovresti informare i gestori di Developers Italia con una descrizione sintetica del tuo reclamo. Il tuo reclamo verrà gestito in conformità con le nostre attuali politiche di governance.

## 8. Ambito di applicazione

Ci aspettiamo che tutti i partecipanti alla comunità (contributori, pagati o meno, sponsor e altri ospiti) si attengano a questo Codice di condotta in tutte le sedi della comunità, online e di persona, nonché in tutte le comunicazioni individuali relative alla comunità attività commerciale.

Questo codice di condotta e le relative procedure si applicano anche a comportamenti inaccettabili che si verificano al di fuori dell'ambito delle attività della comunità quando tale comportamento ha il potenziale di influire negativamente sulla sicurezza e il benessere dei membri della comunità.

## 9. Informazioni di contatto

Puoi raggiungere i gestori di Developers Italia all'indirizzo `coc-report@developers.italia`.
